/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: GsmMainWindow.h,v $
$Revision: 1.5 $
$Date: 1997/07/02 04:45:06 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: GsmMainWindow.h,v $
Revision 1.5  1997/07/02 04:45:06  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.4  1997/03/04 06:32:53  andrewm
Another check point.  The editor can draw output from files.
The crashing during the dtor for MachineGroup is fixed.

Revision 1.3  1996/11/17 21:50:51  andrewm
Converting to the new version of g++ (2.7.2) and now everything
is under CVS.

 * Revision 1.2  1996/09/22  01:47:02  andrewm
 * pre-alpha release
 *
 * Revision 1.2  1996/09/22  01:47:02  andrewm
 * pre-alpha release
 *
 * Revision 1.1  1996/07/15  01:22:32  andrewm
 * Initial revision
 *
 * Revision 1.1  1996/07/15  01:22:32  andrewm
 * Initial revision
 *
 *--
 */
#ifndef _GsmMainWindow_h_
#define _GsmMainWindow_h_

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma interface
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include "MainWindow.h"

/*
MACRO DEFINITIONS
*/

/*
CLASS DEFINITIONS
*/

class GsmMainWindow :
	public MainWindow
{
public:
	GsmMainWindow(const char *name, Application *parent) ;

	virtual MenuBar *template_create_menu_bar(
		const char *name, MainWindow *parent) ;
	virtual DrawingArea *template_create_drawing_area(
		const char *name, MainWindow *parent) ;
	virtual MessageArea *template_create_message_area(
		const char *name, MainWindow *parent) ;

private:
	Widget _sep1 ;
	Widget _sep2 ;
	Widget _sep3 ;
} ;


#endif /* _GsmMainWindow_h_ */
